module OW_parms_slt

use sep
use OW_type

implicit none

logical                                                     :: adj
type (axis) ,public, save				:: xm, z, sh, th
type (mod_grid)	 ,public, save			:: img
type (velo) ,public, save				:: v
integer	 ,public, save				:: node,nax,nah,nxw
real	 ,public, save				:: dax,oax,dah,oah

contains

subroutine owparam()

call from_param("adj",adj,.true.)
call from_param("node",node,9999)
call from_param("nxw",nxw,31)

 call from_aux("vel","n3",v%z%n);	call from_aux("vel","d3",v%z%d);	call from_aux("vel","o3",v%z%o)
 call from_aux("vel","n1",v%xm%n);	call from_aux("vel","d1",v%xm%d);	call from_aux("vel","o1",v%xm%o)

 if (adj) then
    call from_aux("R_image","n3",img%z%n);call from_aux("R_image","d3",img%z%d);call from_aux("R_image","o3",img%z%o)
    call from_aux("R_image","n2",img%th%n);call from_aux("R_image","d2",img%th%d);call from_aux("R_image","o2",img%th%o)
    call from_aux("R_image","n1",img%xm%n);call from_aux("R_image","d1",img%xm%d);call from_aux("R_image","o1",img%xm%o)  
    call from_param("nah",nah,41);call from_param("dah",dah,2.);call from_param("oah",oah,-40.)
    call to_history("n3",img%z%n,"B_image") ; call to_history("d3",img%z%d,"B_image") ; call to_history("o3",img%z%o,"B_image")
    call to_history("n2",nah,"B_image") ; call to_history("d2",dah,"B_image") ; call to_history("o2",oah,"B_image")
    call to_history("n1",img%xm%n,"B_image"); call to_history("d1",img%xm%d,"B_image"); call to_history("o1",img%xm%o,"B_image")  
    call from_param("nax",nax,21);call from_param("dax",dax,2.);call from_param("oax",oax,-10.)

    write(0,*) adj
    write(0,*) img%z%n,img%z%d,img%z%o
    write(0,*) img%th%n,img%th%d,img%th%o
    write(0,*) img%xm%n,img%xm%d,img%xm%o
    write(0,*) nah,dah,oah
    write(0,*) nax,dax,oax
    write(0,*) nxw

 else
    call from_aux("R_image","n3",img%z%n);call from_aux("R_image","d3",img%z%d);call from_aux("R_image","o3",img%z%o)
    call from_aux("R_image","n2",nah);call from_aux("R_image","d2",dah);call from_aux("R_image","o2",oah)
    call from_aux("R_image","n1",img%xm%n);call from_aux("R_image","d1",img%xm%d);call from_aux("R_image","o1",img%xm%o)  
    call from_param("nt",img%th%n);call from_param("dt",img%th%d);call from_param("ot",img%th%o)
    call to_history("n3",img%z%n,"B_image") ; call to_history("d3",img%z%d,"B_image") ; call to_history("o3",img%z%o,"B_image")
    call to_history("n2",img%th%n,"B_image") ; call to_history("d2",img%th%d,"B_image") ; call to_history("o2",img%th%o,"B_image")
    call to_history("n1",img%xm%n,"B_image"); call to_history("d1",img%xm%d,"B_image"); call to_history("o1",img%xm%o,"B_image")  
    call from_param("nax",nax,21);call from_param("dax",dax,2.);call from_param("oax",oax,-10.)

    write(0,*) adj
    write(0,*) img%z%n,img%z%d,img%z%o
    write(0,*) nah,dah,oah
    write(0,*) img%xm%n,img%xm%d,img%xm%o
    write(0,*) img%th%n,img%th%d,img%th%o
    write(0,*) nax,dax,oax
    write(0,*) nxw

 end if

end subroutine
end module
